.left-nav-bar .top-side .container{
  width: 85%;

  .form{
    height: 8rem;
    overflow: auto;

    .parameter{
      display: flex;
      align-items: center;
      padding-top: 0.25rem;
    }
  }

  .status{
    display: flex;
    align-items: center;
    margin-top: 0.4rem;

    .connection-status{
      position: absolute;
      width: 2rem;
      margin-left: 0.5rem;
    }
  }
}


.content{
  overflow: auto;

  .read-container{
    width: 75%;
    margin: auto;
    
    .header{
      position: relative;
      display: inline-flex;
      width: 100%;
      padding: 1rem 0;

      .title{
        font-size: 2rem;
        font-family: bold;
        width: calc(100% - 10rem);
        padding: 0.25rem;
        text-align: center;
      }

      .environment-variables{
        position: absolute;
        right: 0px;
        font-size: 0.9rem;
      }
    }

    .sql-query{
      .query-header{
        position: relative;
        display: flex;
        align-items: center;

        .test-sql-btn{
          position: absolute;
          right: 0;
        }
      }

      #sql-textarea{
        height: 15rem;
      }
    }

    .validations{
      margin-top: 2rem;

      .sub-title{
        display: flex;
        align-items: center;
        position: relative;

        .helper{
          position: absolute;
          width: 1.3rem;
          cursor: help;
          left: 10rem;
        }
      }

      .comparison .comparison-validations{
        max-height: 37.5rem;
        overflow: auto;
      }

      .sequential{
        margin-top: 2.5rem;

        .sequential-validations{
          max-height: 37.5rem;
          overflow: auto;
        }
      }

      .validation{
        position: relative;
        display: flex;
        align-items: center;

        .data{
          background-color: #ffffff99;
          width: 95%;
          margin-bottom: 1rem;
          border-radius: 0.5rem;

          .headers{
            display: flex;
            align-items: center;
            width: 100%;
            background-color: var(--secondary);
            color: white;
            border-top-left-radius: 0.5rem;
            border-top-right-radius: 0.5rem;

            .logic-type{
              width: 15%;
            }

            .variable{
              width: 25%;
              border-left: white 1px solid;
              border-right: white 1px solid;
            }

            .description{
              width: 55%;
              // text-align: left;
            }
          }

          .conditions-and-actions{
            display: flex;

            .logic-code{
              padding: 1rem;
              width: 55%;

              .python-code{
                min-height: 9.5rem;
                height: 12rem;
              }
            }

            .mark-result{
              position: relative;
              width: 45%;
              border-left: #ffffff solid 1px;
              border-top: #ffffff solid 1px;

              nav .navbar-item{
                padding: .25rem 1rem;
                cursor: pointer;

                &.active{
                  border-radius: 0;
                  background-color: #00818e;
                }
              }

              .tab-pane{
                // position: absolute;
                // height: calc(100% - 2rem);
                width: 100%;
                display: none;

                &.show{
                  display: block;
                }

                .marks{
                  // position: absolute;
                  padding: 1rem;
                  width: 100%;

                  .form-group{
                    display: flex;

                    &.color{
                      align-items: center;
                      margin-top: 1rem;
                    }

                    &.comment label{
                      margin-top: 0.5rem;
                    }

                    label{
                      width: 25%;
                    }

                    .mentions-input-box{
                      width: 100%;
                    }

                    // textarea {
                    //   resize: none;
                    // }
                  }
                }
              }
            } // .mark-result

          } // .conditions-and-actions

        }

        .times{
          position: absolute;
          width: 5%;
          right: 0;
          cursor: pointer;
          padding: 0 0.95rem;
        }
      }
    }


    .save-execute{
      position: relative;
      width: 26rem;
      display: flex;
      align-items: center;
      margin: 4rem auto;
      height: 4rem;
      font-size: 1.4rem;

      button{
        padding: 1rem 4rem;
      }

      .execute{
        margin-left: 2rem;
        margin-right: 0.5rem;
      }

      input{
        padding: 1rem 0.75rem;
        height: 3.75rem;
        width: 10%;
        margin-right: 0.25rem;
      }
    }
  }
}

#environment-variables-modal{
  .environment-variables{
    padding: 1rem 0;
    #existant-environment-variables{
      margin-bottom: 1rem;
    }

    .new-environment-variable input{
      // background-color: #00000012;
      background: linear-gradient(to bottom, #FFFFFF00 0%, #00000012 80%);
    }
  }

  .head-row{
    color: var(--info);
    border-bottom: var(--info) 1px solid;
    margin-bottom: 5px;

    label{
      text-align: center;
    }
  }

  .form-data{
    display: flex;
    align-items: center;

    .form-control{
      margin-right: 1%;
    }

    .times{
      cursor: pointer;
      width: 1rem;
      margin-left: 1%;
    }
    .plus{
      cursor: pointer;
      width: 1.1rem;
      margin-left: 1%;

      &.edited{
        border-bottom: 2px solid var(--info);
        border-top: 2px solid var(--info);
        border-left: 1px solid var(--info);
        border-right: 1px solid var(--info);
        border-radius: 1rem;
      }
    }
  }
}